Bug 511847 - lvm2 should use compat-readline5
lvm2 should use compat-readline5
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
26
All Linux
low Severity medium
: ---
: ---
Assigned To: Zdenek Kabelac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 511295
  Show dependency treegraph
 
Reported: 2009-07-15 07:49 EDT by Miroslav Lichvar
Modified: 2017-02-28 04:28 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-21 04:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2009-07-15 07:49:47 EDT
Description of problem:
The readline package in rawhide was updated to new 6.0 release which changes the license to GPLv3+. As lvm2 is GPLv2, it should keep using the older readline (packaged in compat-readline5) to avoid licensing incompatibility or switched to libedit which is compatible with GPLv2 (but doesn't support UTF-8).

Usually this requires changing buildrequires to compat-readline5-devel and setting CPPFLAGS and LDFLAGS before configure is called:

export CPPFLAGS="-I%{_includedir}/readline5" LDFLAGS="-L%{_libdir}/readline5"

But the generated Makefiles don't seem to use the specified LDFLAGS, some hacking in make.tmpl.in will be needed too.
Comment 1 Alasdair Kergon 2009-07-15 08:31:40 EDT
I don't have a test-environment set up, but try variations like
configure CLDFLAGS="-L...
(possibly in addition to LDFLAGS)

and you might get away with CFLAGS="-I... for now, and we may need to add CPPFLAGS or make INCLUDES configurable.


But apart from that, are there any options for dealing with the licensing incompatibility?
Comment 2 Bug Zapper 2009-11-16 05:59:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Zdenek Kabelac 2010-07-21 04:26:46 EDT
I believe we do not need to worry about licenses in this case:

http://www.gnu.org/licenses/gpl-faq.html#WhatIsCompatible

It seems that it's allowed to keep original program as GPL2 and link it with GPL3 library - as GPL2 license is compatible with GPL3 - there is no need to turn every program into GPL3 license if you use GPL3 piece of code inside.

Not being a lawyer myself - but if you still see this as a problem and could point out to relevant documents stating we have still problem - please feel to reopen.
Comment 4 Miroslav Lichvar 2010-07-21 05:52:57 EDT
IANAL too, but they are not compatible according to this table:

https://fedoraproject.org/wiki/Licensing#GPL_Compatibility_Matrix
Comment 5 Alasdair Kergon 2010-07-21 06:38:31 EDT
These tables are the same, aren't they?

I think someone read the wrong columns:)
Comment 6 Bug Zapper 2010-11-04 06:46:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Miroslav Lichvar 2010-11-04 07:01:32 EDT
Still seems to be linked with readline6.
Comment 8 Fedora End Of Life 2013-04-03 16:19:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Miroslav Lichvar 2015-01-09 11:46:36 EST
Four years later, the lvm binary still seems to be linked with libreadline6.
Comment 10 Fedora End Of Life 2015-01-09 16:40:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Jan Kurik 2015-07-15 11:21:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 12 Fedora End Of Life 2016-11-24 05:25:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Miroslav Lichvar 2016-11-24 05:32:43 EST
It seems the lvm binary is still linking with libreadline.so.6. This bug is 7 years old now...
Comment 14 Fedora End Of Life 2017-02-28 04:28:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.